Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513057 - [StAG7] Update StAG to list NFSv4.2 as the latest supported version
Summary: [StAG7] Update StAG to list NFSv4.2 as the latest supported version
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Storage_Administration_Guide
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Apurva Bhide
QA Contact: Zhang Kexin
Apurva Bhide
URL:
Whiteboard: ccs-internal
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 16:47 UTC by Marek Suchanek
Modified: 2019-03-06 00:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 03:59:21 UTC


Attachments (Terms of Use)

Description Marek Suchanek 2017-11-14 16:47:21 UTC
# Document URL: #
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/storage_administration_guide/

# Section Number and Name: #
8.1. Introduction to NFS

# Describe the issue: #
The NFS chapter currently talks about NFSv4.1 being the latest supported standard of NFS in RHEL. However, Steve Dickson says that NFSv4.2 has been supported since about RHEL 7.2.

# Suggestions for improvement: #
Correct all references to be to v4.2; update the Introduction section with features added to RHEL as part of the v4.2 standard.

# Additional information: #
The guide does actually mention NFSv4.2 once, but in an otherwise unrelated chapter: 23. "Setting up a Remote Diskless System"
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/storage_administration_guide/index#ch-disklesssystems

There are no references to v4.1 outside of the introduction.

Comment 2 Steve Dickson 2017-11-17 13:50:20 UTC
Here are the support v4.2 features in RHEL7.5

Server-Side Clone and Copy
   * copy()

Sparse Files 
   * llseek()
   * deallocate()

Space Reservation 
   * fallocate()
   * allocate()
   * deallocate()

Labeled NFS 

Layout Enhancements (partial)
   * LAYOUTSTATS (yes)
   * LAYOUTERROR (no)

Comment 3 Marek Suchanek 2017-11-22 15:59:28 UTC
Hello Steve,

Thanks for the list of v4.2 features.

Apurva Bhide will be working on this bug from now on; I'm setting her as Assigned To.


Note You need to log in before you can comment on or make changes to this bug.